jQuery.noConflict();
(function($) {

    $('input.number').keyup(function(event){
        // skip for arrow keys
        if(event.which >= 37 && event.which <= 40){
            event.preventDefault();
        }
        var $this = $(this);
        var num = $this.val().replace(/,/gi, "").split("").reverse().join("");
        var num2 = RemoveRougeChar(num.replace(/(.{3})/g,"$1,").split("").reverse().join(""));
        // the following line has been simplified. Revision history contains original.
        $this.val(num2);
    });

    function RemoveRougeChar(convertString){
        if(convertString.substring(0,1) == ","){
            return convertString.substring(1, convertString.length)
        }
        return convertString;
    }

    //float labels
    $(document).ready(function(){

        var floatlabels = new FloatLabels( '#wovax-idx-form-1, #wovax-idx-form-2, #wovax-idx-search-form, #wovax-idx-sort', {
        // options go here,
        customEvent  : null,
        customLabel  : null,
        exclude      : '.no-label',
        inputRegex   : /email|number|password|search|tel|text|url/,
        prefix       : 'fl-',
        prioritize   : 'label',
        requiredClass: 'required',
        style        : 2,
        transform    : 'input, select, textarea',
        });
    //input number formatter

    }); /* end ready function */

})(jQuery);
