<?php

if (!defined('ABSPATH')) exit;

function wovax_idx_get_login_register_modal() {

  $aux_cookies = 0;
  $user_login_activity = (is_user_logged_in())?1:0;
  $force_option_value = (get_option('wovax-idx-settings-users-registration-force'))?get_option('wovax-idx-settings-users-registration-force'):"no";
  $force_page_quantity = get_option('wovax-idx-settings-users-registration-force-count');
  $view_aux = (strpos(get_permalink(), 'listing-details'))?strpos(get_permalink(), 'listing-details'):'avoid';
  if (!is_user_logged_in()) {
    if (isset($_COOKIE["PageView"]) && filter_var($_COOKIE["PageView"], FILTER_VALIDATE_INT)) {
      $aux_cookies = filter_var($_COOKIE["PageView"], FILTER_SANITIZE_NUMBER_INT);
    }
  }
  $url_return_redirect = get_home_url();

  $output = ' <div id="wovax-idx-login-registration-modal" style="display:none;">
                <div>
                  <ul id="lis_container" class="wovax-idx-login-register-modal-menu">
                    <li id="sign_up_tab" class="wovax-idx-login-register-modal-menu-active" style="cursor:pointer;" onclick="wovax_idx_show_signup(this)">Sign Up</li>
                    <li id="sign_in_tab" class="" style="cursor:pointer;" onclick="wovax_idx_show_signin(this)">Sign In</li>
                  </ul>
                </div>
    
                <div class="col-1" id="SignUp">
                  <form class="wovax-idx-form" id="wovax-idx-form-1" action="#" method="post">
                    <input type="hidden" value="" name="first_name_sign_up">
                    <input type="hidden" value="" name="last_name_sign_up">
                    <input type="hidden" value="" name="email_sign_up">
                    <input type="hidden" value="" name="phone_sign_up">
                    <input type="hidden" value="" name="username_sign_up">
                    <input type="hidden" value="" name="pass_sign_up">
                    <input type="hidden" value="" name="verf_pass_sign_up">
                    <input type="hidden" value="" name="action_sign_up">
                    <div class="wovax-idx-section">
                      <label for="first_name_sign_up">First Name</label>
                      <input type="text" id="first_name_sign_up" required />
                      <label for="last_name_sign_up">Last Name</label>
                      <input type="text" id="last_name_sign_up" required />
                      <label for="email_sign_up">Email</label>
                      <input type="email" id="email_sign_up" required />
                      <label for="phone_sign_up">Phone</label>
                      <input type="text" id="phone_sign_up" required />
                      <label for="username_sign_up">Username</label>
                      <input type="text" id="username_sign_up" required />
                      <label for="password_sign_up">Password</label>
                      <input type="password" id="password_sign_up" required />
                      <label for="verify_password_sign_up">Verify Password</label>
                      <input type="password" id="verify_password_sign_up" required />
                      <div class="wovax-idx-form-button">
                        <a id="sign_up_button" type="submit" class="wovax-idx-button wovax-idx-button-highlight" onclick="wovax_idx_set_pass_verif_user_email(this)">Sign Up</a>
                      </div>
                    </div>
                  </form>
                </div>

                <div class="col-1" id="SignIn" >
                  <form class="wovax-idx-form" id="wovax-idx-form-2" action="#" method="post">
                    <input type="hidden" value="" name="email_sign_in">
                    <input type="hidden" value="" name="pass_sign_in">
                    <input type="hidden" value="" name="action_sign_in">
                    <div class="wovax-idx-section">
                      <label for="email_sign_in">Username or Email</label>
                      <input type="text" id="email_sign_in" required />
                      <label for="password_sign_in">Password</label>
                      <input type="password" id="password_sign_in" required />
                      <div class="wovax-idx-form-button">
                        <a id="sign_in_button" type="submit" class="wovax-idx-button wovax-idx-button-highlight" onclick="wovax_idx_set_pass_email(this)">Sign In</a>
                      </div>
                    </div>
                  </form>
                </div>
              </div>

  <script>

    var clas= "wovax-idx-login-register-modal-menu-active";
    
    jQuery(document).ready(function(){
      jQuery("#SignIn").css("display", "none");
      var view_aux = "' . $view_aux . '";
      var user_actvty = ' . $user_login_activity . ';
      if(user_actvty !== 1 && view_aux != "avoid"){
        var force_reg_user = "' . $force_option_value . '";
        if(force_reg_user == "yes"){
          var aux_cookies = ' . $aux_cookies . ';
          var pages_qty = ' . $force_page_quantity . ';
          if(aux_cookies >= pages_qty ){
            jQuery("#wovax-idx-login-registration-modal").modal();
            jQuery(".jquery-modal.blocker.current").unbind();
            jQuery(document).unbind("keydown");
            jQuery(".modal a.close-modal").css("display", "none");
            jQuery(".wovax-idx-form-button").append( "<a href=' . $url_return_redirect . ' id=`return-link`><span>Return</span><span class=`sorting-indicator`></span></a>" );
          }
        }
      }
    });

    function wovax_idx_open_modal(e) {
      var modal = jQuery("#wovax-idx-login-registration-modal").length;
      if(modal>0){
        jQuery("#wovax-idx-login-registration-modal").modal();
      }else{
        jQuery("div[data-scroll-id=wovax-idx-login-registration-modal]").modal();
      }      
    }

    function wovax_idx_set_pass_verif_user_email(e) {
      jQuery("input:hidden[name=first_name_sign_up]").val(jQuery("#first_name_sign_up").val());
      jQuery("input:hidden[name=last_name_sign_up]").val(jQuery("#last_name_sign_up").val());
      jQuery("input:hidden[name=email_sign_up]").val(jQuery("#email_sign_up").val());
      jQuery("input:hidden[name=phone_sign_up]").val(jQuery("#phone_sign_up").val());
      jQuery("input:hidden[name=username_sign_up]").val(jQuery("#username_sign_up").val());
      jQuery("input:hidden[name=pass_sign_up]").val(jQuery("#password_sign_up").val());
      jQuery("input:hidden[name=verf_pass_sign_up]").val(jQuery("#verify_password_sign_up").val());
      jQuery("input:hidden[name=action_sign_up]").val("signup");
      jQuery("#wovax-idx-form-1").submit();
    };

    function wovax_idx_set_pass_email(e) {
      jQuery("input:hidden[name=email_sign_in]").val(jQuery("#email_sign_in").val());
      jQuery("input:hidden[name=pass_sign_in]").val(jQuery("#password_sign_in").val());
      jQuery("input:hidden[name=action_sign_in]").val("signin");
      jQuery("#wovax-idx-form-2").submit();
    };

    function wovax_idx_show_signin(e) {
      if( !jQuery(e).hasClass(clas) ){
        jQuery("#sign_up_tab").attr("class","");
        jQuery(e).addClass(clas);
        jQuery("#SignUp").css("display", "none");
        jQuery("#SignIn").css("display", "block");
      }
    };

    function wovax_idx_show_signup(e) {
      if( !jQuery(e).hasClass(clas) ){
        jQuery("#sign_in_tab").attr("class","");
        jQuery(e).addClass(clas);
        jQuery("#SignIn").css("display", "none");
        jQuery("#SignUp").css("display", "block");
      }
    };

    function wovax_idx_change_heart(e) {
      var session_stat = jQuery("input:hidden[name=session_stat]").val();
      if (jQuery(e).siblings("input").is(":checked")) {
        if(session_stat == 1){
          jQuery(e).html("&#xf100;");
        }
      } else {
        if(session_stat == 1){
          jQuery(e).html("&#xf101;");
        }
      }
    };

    function wovax_idx_save_favorite_click(e){
      if( jQuery(e).is(`:checked`) ) {
        // Method to add a property from favorites
        if( jQuery("input:hidden[name=session_stat]").val() == 1 ){
          var url     = "' . esc_url(admin_url('admin-ajax.php')) . '";
          var feed_id = jQuery("input:hidden[class="+ e.id.slice(0,-6) +"_feed]").val();
          var mls = jQuery("input:hidden[class="+ e.id.slice(0,-6) +"_mls]").val();
          var request = jQuery.ajax({ url: url,
                                  method: "POST",
                                  dataType: "application/json",
                                  data: {   feed_id : feed_id,
                                            mls : mls,
                                            action : "save_favorite" }
                                  });
          request.done(function( response ) {
          });
          request.fail(function( jqXHR, textStatus ) {
          });
        }
      }else{
        // Method to delete a property from favorites
        if( jQuery("input:hidden[name=session_stat]").val() == 1 ){
          var url     = "' . esc_url(admin_url('admin-ajax.php')) . '";
          var feed_id = jQuery("input:hidden[class="+ e.id.slice(0,-6) +"_feed]").val();
          var mls = jQuery("input:hidden[class="+ e.id.slice(0,-6) +"_mls]").val();
          var request = jQuery.ajax({ url: url,
                                  method: "POST",
                                  dataType: "application/json",
                                  data: {   feed_id : feed_id,
                                            mls : mls,
                                            action : "delete_favorite" }
                                  });
          request.done(function( response ) {
          });
          request.fail(function( jqXHR, textStatus ) {
          });
        }
      }
    };
  </script>';

  return $output;

}
?>
