<?php

if (!defined('ABSPATH')) exit;

function wovax_idx_get_content_user_profile() {

	global $current_user;

	if (is_user_logged_in()) {
    get_currentuserinfo();
    $user_firstname = $current_user->user_firstname;
    $user_lastname  = $current_user->user_lastname;
    $user_email     = $current_user->user_email;
    $user_phone     = get_user_meta( $current_user->data->ID, 'phone', true );
    $user_login     = $current_user->user_login;
    $user_ID        = $current_user->data->ID;
  }

	$output = '';

	$output .= '<div class="col-4">
    						<form class="wovax-idx-form" id="wovax-idx-form-1">

      						<div class="wovax-idx-section">
        						<label for="first-name">First Name</label>
										<input type="text" id="first-name" value="' . esc_attr($user_firstname) . '">
      						</div>

      						<div class="wovax-idx-section">
        						<label for="last-name">Last Name</label>
										<input type="text" id="last-name" value="' . esc_attr($user_lastname) . '">
      						</div>

      						<div class="wovax-idx-section">
        						<label for="email">Email</label>
										<input type="email" id="email" value="' . esc_attr($user_email) . '">
      						</div>

      						<div class="wovax-idx-section">
        						<label for="phone">Phone</label>
										<input type="tel" id="phone" value="' . esc_attr($user_phone) . '">
      						</div>

      						<div class="wovax-idx-section">
					        	<label for="password">New Password</label>
										<input type="password" id="password">
      						</div>

      						<div class="wovax-idx-section">
					        	<label for="verify-password">Verify New Password</label>
										<input type="password" id="verify-password">
      						</div>

      						<div class="wovax-idx-section">
						       <label for="username"></label>
									 <input type="text" id="username" value="' . esc_attr($user_login) . '" disabled="">
      						</div>

      						<div class="wovax-idx-section">
        						<div class="wovax-idx-form-button">
          						<a href="#" id="update_profile_button" class="wovax-idx-button wovax-idx-button-highlight">Update</a>
        						</div>
      						</div>
    						</form>
  						</div>';

  $output .= '<script>
                jQuery("a#update_profile_button").on("click",function(){
                  var id = ' . esc_html($user_ID) . ';
                  var url = "' . esc_url(admin_url('admin-ajax.php')) . '";
                  var firstname = jQuery("input#first-name").val();
                  var lastname = jQuery("input#last-name").val();
                  var email = jQuery("input#email").val();
                  var password = jQuery("input#password").val();
                  var verify_password = jQuery("input#verify-password").val();
                  var phone = jQuery("input#phone").val();
                  var username = jQuery("input#username").val();

                  var request = jQuery.ajax({ url: url,
                                          method: "POST",
                                          dataType: "application/json",
                                          data: {   id : id,
                                                    firstname : firstname,
                                                    lastname : lastname,
                                                    email : email,
                                                    password : password,
                                                    verify_password : verify_password,
                                                    phone : phone,
                                                    username : username,
                                                    action : "update_profile" }
                                          });
                  request.done(function( response ) {

                  });
                  request.fail(function( responseText ) {
                    window.location.reload();
                  });
                });
              </script>';

  return $output;

}

?>
